EDIT - bug #6215

NPE when opening preferences with no DB connection
11/23/2016 02:38 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

When trying to open the preferences for all "Taxonomic Editor"-"Taxonomic" submenus an NPE is thrown.

login
editor version : 4.4.0.201611231251
server : /

schema version
os : Windows Server 2012 6.2 amd64
java : 1.7.0_65
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage.initSession (CdmPreferencePage. java
:49)
at eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage.<init> (CdmPreferencePage. java:40)
at eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences.<init> (AbstractMenuPreferenc
es.java:89)
at eu.etaxonomy.taxeditor.preference.menu.SpecimenTypeDesignationStatusMenuPreferences.<init> (
SpecimenTypeDesignationStatusMenuPreferences. java:30)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(O (Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorImpl. java:57

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl
.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor.java:526)

at java.lang.Class.newlInstance (Class.java:374)

at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension (Regi
stryStrategyOSGI. java:184)

at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension (ExtensionReg
istry.java:905)

at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension (Configura
tionElement. java:243)

at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension (Con
figurationElementHandle. java:55)

at org.eclipse.ui.internal.WorkbenchPlugin.createExtension (WorkbenchPlugin. java:260)

at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode.createPage (WorkbenchPreferenceNode.
java:47)

at org.eclipse.jface.preference.PreferenceDialog.createPage (PreferenceDialog. java:1339)

at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.createPage (FilteredPreferenceDialo
g.Jjava:376)

at org.eclipse.jface.preference.PreferenceDialog.showPage (PreferenceDialog. java:1230)

at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage (FilteredPreferenceDialog.
Jjava:674)

at org.eclipse.jface.preference.PreferenceDialog$10.run(PreferenceDialog. java:708)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)

at org.eclipse.jface.preference.PreferenceDialog$9.selectionChanged (PreferenceDialog. java:704)

at org.eclipse.jface.viewers.StructuredViewer$3.run (StructuredvViewer. java:888)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:49)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:175)

at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged (StructuredvViewer. java:8
86)

at org.eclipse.jface.viewers.StructuredViewer.handlePostSelect (StructuredViewer. java:1226)

at org.eclipse.jface.viewers.StructuredViewer$5.widgetSelected (StructuredViewer. java:1251)
org.eclipse.jface.util.OpenStrategy.firePostSelectionEvent (OpenStrategy.java:262)
org.eclipse.jface.util.OpenStrategy.access$5 (OpenStrategy.java:256)
org.eclipse.jface.util.OpenStrategy$3.run (OpenStrategy.java:433)
org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:135)
org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4140)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3757)
org.eclipse.jface.window.Window.runEventLoop (Window. java:825)

org.eclipse. jface.window.Window.open (Window. java:801)
org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open (WorkbenchPreferenceDialog. ja

org.eclipse.ui.internal.handlers.ShowPreferencePageHandler.execute (ShowPreferencePageHandle
54)

org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)
org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)
org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:

org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService. java:169)
org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. jav

org.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection (CommandContributionItem.

java:829)
org.eclipse.ui.menus.CommandContributionItem.access$19 (CommandContributionItem. java:815)
org.eclipse.ui.menus.CommandContributionItem$5.handleEvent (CommandContributionItem. java:805

org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)
org.eclipse.ui.internal.Workbench.runEventLoop (Workbench.java:2701)
org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)
org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)
org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.runApplication (EclipseAppLaunc

her.java:110)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:344)
org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:179)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:606)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)
org.eclipse.equinox.launcher.Main.run (Main.java:1410)

Related issues:

Related to EDIT - feature request #5971: Implement database wide CdmPreferenc... Closed
Related to EDIT - bug #6105: Make CdmPreferences editable in separate view Closed
Related to EDIT - feature request #5969: Implement CdmPreference reading for ... Closed

Associated revisions

Revision 84ab8cb0 - 11/23/2016 02:54 PM - Katja Luther

fix #6215: check for datasource when opening preferencepage

History

#1 - 11/23/2016 02:38 PM - Andreas Miiller

- Related to feature request #5971: Implement database wide CdmPreference writing added
#2 - 11/23/2016 02:38 PM - Andreas Miiller
- Related to bug #6105: Make CdmPreferences editable in separate view added

#3 - 11/23/2016 02:39 PM - Andreas Miiller

- Related to feature request #5969: Implement CdmPreference reading for database preferences added

#4 - 11/23/2016 02:55 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|84ab8cb061709145¢c824967aa8a3a10742e875ff.

#5 - 01/20/2017 02:31 PM - Andreas Miiller

- Related to bug #6359: Remaining issues secundum for subtrees added

#6 - 01/20/2017 02:32 PM - Andreas Miiller

- Related to deleted (bug #6359: Remaining issues secundum for subtrees)

#7 - 01/23/2017 09:47 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 4.4

#8 - 01/23/2017 10:46 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- Priority changed from New to Highest

looks fine

#9 - 01/23/2017 10:46 AM - Andreas Miiller
- % Done changed from 50 to 100

04/20/2024

3/3
